The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Performance Monitoring Settings at the Sensor Level

Prev Next

This URL gets the performance monitoring settings at the Sensor level.

Resource URL

GET /sensor/<sensorId>/performancemonitoring

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensorId Sensor id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
inheritSettings Inherit settings from the parent domain Boolean
enableMetricCollection Enable metric collection Boolean
enableThresholdAnalysis Enable threshold analysis Boolean
visibleToChildAdminDomain Settings visible to the child domain Boolean
enableCPUUtilizationMetricCollection Enable CPU utilization metric collection Boolean
enablePortThroughputUtilizationMetricCollection Enable port throughput utilization metric collection Boolean
thresholds List of threshold values Array
display Display values Object

Details of object in thresholds:

Field Name Description Data Type
metric Metric name String
thresholds List of threshold details Array
thresholdName Name of the threshold String
direction Rising/falling of threshold String
thresholdValue Threshold value Number
resetThresholdValue Reset threshold value Number
enableAlarm Alarm enabled or not Boolean

Details of display:

Field Name Description Data Type
mediumMemoryUsage Memory usage value to be shown as medium usage Number
highMemoryUsage Memory usage value to be shown as high usage Number
mediumDeviceThroughputUsage Device throughput usage value to be shown as medium usage Number
highDeviceThroughputUsage Device throughput usage value to be shown as high usage Number

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/performancemonitoring

Response

{
	"inheritSettings": false,
	"enableMetricCollection": true,
	"enableThresholdAnalysis": true,
	"visibleToChildAdminDomain": true,
	"enableCPUUtilizationMetricCollection": true,
	"enablePortThroughputUtilizationMetricCollection": true,
	"thresholds": [{
		"metric": "CPU Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 92,
			"resetThresholdValue": 72,
			"enableAlarm": true
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 72,
			"resetThresholdValue": 52,
			"enableAlarm": true
		}]
	},
	{
		"metric": "Sensor Throughput Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 91,
			"resetThresholdValue": 71,
			"enableAlarm": false
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 71,
			"resetThresholdValue": 51,
			"enableAlarm": true
		},
		{
			"thresholdName": "Under Utilization",
			"direction": "Falling",
			"thresholdValue": 6,
			"resetThresholdValue": 11,
			"enableAlarm": true
		}]
	},
	{
		"metric": "L2 Error Drop",
		"thresholds": [{
			"thresholdName": "Too Many L2 Errors",
			"direction": "Rising",
			"thresholdValue": 99,
			"resetThresholdValue": 51,
			"enableAlarm": true
		}]
	},
	{
		"metric": "L3/L4 Error Drop",
		"thresholds": [{
			"thresholdName": "Too Many L3/L4 Errors",
			"direction": "Rising",
			"thresholdValue": 1001,
			"resetThresholdValue": 101,
			"enableAlarm": true
		}]
	},
	{
		"metric": "Memory Usage",
		"thresholds": [{
			"thresholdName": "High Utilization",
			"direction": "Rising",
			"thresholdValue": 91,
			"resetThresholdValue": 71,
			"enableAlarm": false
		},
		{
			"thresholdName": "Medium Utilization",
			"direction": "Rising",
			"thresholdValue": 71,
			"resetThresholdValue": 51,
			"enableAlarm": false
		}]
	}],
	"display": {
		"mediumMemoryUsage": 76,
		"highMemoryUsage": 91,
		"mediumDeviceThroughputUsage": 76,
		"highDeviceThroughputUsage": 91
	}
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1001 Internal error